Subject: [os2genau_digest] No. 1880
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 4 Nov 2009 00:00:37 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Tuesday 03 November 2009
 Number  1880
**************************************************

Subjects for today
 
1  Re:  Networking Question. : Mike O'Connor <mikeoc at internode.on dot net>
1  Re:  Networking Question. : Dennis Nolan <dennis at jeg-og dot com>
2  Re:  Networking Question. : Ed Durrant <edurrant at durrant dot mine dot nu>
2   Steps to prepare a USB key for FAT32 usage with eCS and WXP : Ed Durrant <edurrant at durrant dot mine dot nu>
3  Re:  Steps to prepare a USB key for FAT32 usage with eCS and WXP : Mike O'Connor <mikeoc at internode.on dot net>

**= Email   1 ==========================**

Date:  Tue, 03 Nov 2009 00:20:40 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  Networking Question.

Ed Durrant wrote:
> Ed Durrant wrote:
>> Hi All,
>>
>>  I am trying to setup safefire links for OS/2 as a PPTP (VPN) client. 
>> The connection is coming up and authorisation is successful to my 
>> remote server (hotspotvpn dot com).
>>
>>  When I check PPP0 (the port this software uses) it has an IP address 
>> assigned and all looks good. Lan0 is also stil up and has the same 
>> configuration and IP address as it had prior to me starting safefire 
>> links.
>>
>>   The problem is that when I try to use a browser to go anywhere - 
>> either with a websites name or its IP address, I cannot connect. It's 
>> as if the traffic from the web browser is not getting directed to the 
>> VPN tunnel or if it is its not traversing the link.
>>
>>  What decides which port the browser uses? Is there a command that 
>> would tell me?
> Further info to this - I seem to be getting all packets on PPP0 
> discarded on transmission - see the Netstat -n below:
>
> Interface 0  Ethernet-Csmacd
> physical address    00173191f122      MTU 1500
>
> speed 100000000 bits/sec
> unicast packets received 10318
> broadcast packets received 1319
> total bytes received 8384452
> unicast packets sent 7874
> broadcast packets sent 22
> total bytes sent 1454104
> packets discarded on transmission 0
> packets discarded on reception 0
> received packets in error 0
> errors trying to send 0
> packets received in unsupported protocols 0
>
> Interface 9  Software Loopback
> physical address    000000000000      MTU 1536
>
> speed 0 bits/sec
> unicast packets received 0
> broadcast packets received 0
> total bytes received 0
> unicast packets sent 10923
> broadcast packets sent 0
> total bytes sent 577306
> packets discarded on transmission 0
> packets discarded on reception 0
> received packets in error 0
> errors trying to send 0
> packets received in unsupported protocols 0
>
> Interface 10  Serial Interface ppp0
> physical address    000000000000      MTU 1442
>
> speed 0 bits/sec
> unicast packets received 0
> broadcast packets received 0
> total bytes received 0
> unicast packets sent 117383
> broadcast packets sent 0
> total bytes sent 165446584
> packets discarded on transmission 113203
> packets discarded on reception 0
> received packets in error 0
> errors trying to send 0
> packets received in unsupported protocols 0 

Hi Ed,

I guess if you turned on iptrace just before stating the application, 
then stopped it after a while, then formatted it to human readable, it 
should show up which ports are actually being used/discarded?

Regards,
Mike

-- 
Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
Personal replies to any of : 
mikeoc (at) internode (dot) on (dot) net
mikeoc (at) austarnet (dot) com (dot) au
majilok (at) gmail (dot) com
[Please ZIP any attachments, other than GIF/JPG or plain-text]
If you are missing a response from me - check Tweed Heads WX status at:
http://www.bom.gov.au/products/IDR663.loop.shtml#skip

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   1 ==========================**

Date:  Tue, 03 Nov 2009 06:51:54 +1100
From:  Dennis Nolan <dennis at jeg-og dot com>
Subject:  Re:  Networking Question.

Hi Ed

I look at the error log in my adsl modem. It gives protocol, port and 
reason the packet was rejected.

Depends upon your modem of course.

Dennis

Mike O'Connor wrote:
> Ed Durrant wrote:
>> Ed Durrant wrote:
>>> Hi All,
>>>
>>>  I am trying to setup safefire links for OS/2 as a PPTP (VPN) 
>>> client. The connection is coming up and authorisation is successful 
>>> to my remote server (hotspotvpn dot com).
>>>
>>>  When I check PPP0 (the port this software uses) it has an IP 
>>> address assigned and all looks good. Lan0 is also stil up and has 
>>> the same configuration and IP address as it had prior to me starting 
>>> safefire links.
>>>
>>>   The problem is that when I try to use a browser to go anywhere - 
>>> either with a websites name or its IP address, I cannot connect. 
>>> It's as if the traffic from the web browser is not getting directed 
>>> to the VPN tunnel or if it is its not traversing the link.
>>>
>>>  What decides which port the browser uses? Is there a command that 
>>> would tell me?
>> Further info to this - I seem to be getting all packets on PPP0 
>> discarded on transmission - see the Netstat -n below:
>>
>> Interface 0  Ethernet-Csmacd
>> physical address    00173191f122      MTU 1500
>>
>> speed 100000000 bits/sec
>> unicast packets received 10318
>> broadcast packets received 1319
>> total bytes received 8384452
>> unicast packets sent 7874
>> broadcast packets sent 22
>> total bytes sent 1454104
>> packets discarded on transmission 0
>> packets discarded on reception 0
>> received packets in error 0
>> errors trying to send 0
>> packets received in unsupported protocols 0
>>
>> Interface 9  Software Loopback
>> physical address    000000000000      MTU 1536
>>
>> speed 0 bits/sec
>> unicast packets received 0
>> broadcast packets received 0
>> total bytes received 0
>> unicast packets sent 10923
>> broadcast packets sent 0
>> total bytes sent 577306
>> packets discarded on transmission 0
>> packets discarded on reception 0
>> received packets in error 0
>> errors trying to send 0
>> packets received in unsupported protocols 0
>>
>> Interface 10  Serial Interface ppp0
>> physical address    000000000000      MTU 1442
>>
>> speed 0 bits/sec
>> unicast packets received 0
>> broadcast packets received 0
>> total bytes received 0
>> unicast packets sent 117383
>> broadcast packets sent 0
>> total bytes sent 165446584
>> packets discarded on transmission 113203
>> packets discarded on reception 0
>> received packets in error 0
>> errors trying to send 0
>> packets received in unsupported protocols 0 
>
> Hi Ed,
>
> I guess if you turned on iptrace just before stating the application, 
> then stopped it after a while, then formatted it to human readable, it 
> should show up which ports are actually being used/discarded?
>
> Regards,
> Mike
>
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Tue, 03 Nov 2009 18:02:53 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Networking Question.

It turns out the rejection was from the software itself as I can access 
the VPN from 2 other (windoze) PCs on the LAN. It helped when I added 
the Safefire MAC driver (Doh! - but the documentation is so volumous 
that it's hard to get an idea how things are supposed to be setup).

So I have no rejections now - but also no working data path.

Cheers/2

Ed.

Dennis Nolan wrote:
> Hi Ed
>
> I look at the error log in my adsl modem. It gives protocol, port and 
> reason the packet was rejected.
>
> Depends upon your modem of course.
>
> Dennis
>
>
> Mike O'Connor wrote:
>> Ed Durrant wrote:
>>> Ed Durrant wrote:
>>>> Hi All,
>>>>
>>>>  I am trying to setup safefire links for OS/2 as a PPTP (VPN) 
>>>> client. The connection is coming up and authorisation is successful 
>>>> to my remote server (hotspotvpn dot com).
>>>>
>>>>  When I check PPP0 (the port this software uses) it has an IP 
>>>> address assigned and all looks good. Lan0 is also stil up and has 
>>>> the same configuration and IP address as it had prior to me 
>>>> starting safefire links.
>>>>
>>>>   The problem is that when I try to use a browser to go anywhere - 
>>>> either with a websites name or its IP address, I cannot connect. 
>>>> It's as if the traffic from the web browser is not getting directed 
>>>> to the VPN tunnel or if it is its not traversing the link.
>>>>
>>>>  What decides which port the browser uses? Is there a command that 
>>>> would tell me?
>>> Further info to this - I seem to be getting all packets on PPP0 
>>> discarded on transmission - see the Netstat -n below:
>>>
>>> Interface 0  Ethernet-Csmacd
>>> physical address    00173191f122      MTU 1500
>>>
>>> speed 100000000 bits/sec
>>> unicast packets received 10318
>>> broadcast packets received 1319
>>> total bytes received 8384452
>>> unicast packets sent 7874
>>> broadcast packets sent 22
>>> total bytes sent 1454104
>>> packets discarded on transmission 0
>>> packets discarded on reception 0
>>> received packets in error 0
>>> errors trying to send 0
>>> packets received in unsupported protocols 0
>>>
>>> Interface 9  Software Loopback
>>> physical address    000000000000      MTU 1536
>>>
>>> speed 0 bits/sec
>>> unicast packets received 0
>>> broadcast packets received 0
>>> total bytes received 0
>>> unicast packets sent 10923
>>> broadcast packets sent 0
>>> total bytes sent 577306
>>> packets discarded on transmission 0
>>> packets discarded on reception 0
>>> received packets in error 0
>>> errors trying to send 0
>>> packets received in unsupported protocols 0
>>>
>>> Interface 10  Serial Interface ppp0
>>> physical address    000000000000      MTU 1442
>>>
>>> speed 0 bits/sec
>>> unicast packets received 0
>>> broadcast packets received 0
>>> total bytes received 0
>>> unicast packets sent 117383
>>> broadcast packets sent 0
>>> total bytes sent 165446584
>>> packets discarded on transmission 113203
>>> packets discarded on reception 0
>>> received packets in error 0
>>> errors trying to send 0
>>> packets received in unsupported protocols 0 
>>
>> Hi Ed,
>>
>> I guess if you turned on iptrace just before stating the application, 
>> then stopped it after a while, then formatted it to human readable, 
>> it should show up which ports are actually being used/discarded?
>>
>> Regards,
>> Mike
>>
> --------------------------------------------------
> 
> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>

-- 
Cheers/2

Ed

eComStationAustralia podcast RSS feed http://eComStationAustralia.podbean dot com/feed or iTunes
Warpstock Europe at Stralsund, Germany 12-15 November 2009 http://www.warpstock.eu

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Tue, 03 Nov 2009 22:51:32 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:   Steps to prepare a USB key for FAT32 usage with eCS and WXP

Each time I get a new USB key, I have a heck of a job getting it to work 
with ECS and WXP. This time I found a straight forward process - here 
are the steps.

1. Plug in USB key - attached message appears.
2. DFSee - use wipe start of (this) disk to zeros option.
3. exit DFSee,  eject key,  reboot PC.
4. PC restarts, plug in key - attached message appears.
5. Run LVMGUI to create a volume - compatible mode.
6. exit LVMGUI
7. Format the partition on the key as JFS from the command line.
8. eject key, reboot PC.
9. PC restarts, plug in key - attached message appears.
10. Go into DFSee - format as FAT32.
11. eject key and try in WXP system. 
12. return to eCS system and test.

Able to read and write and transfer files using a key prepared in this way.

In this test I used a SANDISK Cruzer 8GB USB memory key.

-- 
Cheers/2

Ed

eComStationAustralia podcast RSS feed http://eComStationAustralia.podbean dot com/feed or iTunes
Warpstock Europe at Stralsund, Germany 12-15 November 2009 http://www.warpstock.eu

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Tue, 03 Nov 2009 22:00:28 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  Steps to prepare a USB key for FAT32 usage with eCS and WXP

Ed Durrant wrote:
> Each time I get a new USB key, I have a heck of a job getting it to 
> work with ECS and WXP. This time I found a straight forward process - 
> here are the steps.
>
> 1. Plug in USB key - attached message appears.
> 2. DFSee - use wipe start of (this) disk to zeros option.
> 3. exit DFSee,  eject key,  reboot PC.
> 4. PC restarts, plug in key - attached message appears.
> 5. Run LVMGUI to create a volume - compatible mode.
> 6. exit LVMGUI
> 7. Format the partition on the key as JFS from the command line.
> 8. eject key, reboot PC.
> 9. PC restarts, plug in key - attached message appears.
> 10. Go into DFSee - format as FAT32.
> 11. eject key and try in WXP system. 12. return to eCS system and test.
>
> Able to read and write and transfer files using a key prepared in this 
> way.
>
> In this test I used a SANDISK Cruzer 8GB USB memory key.
>
Hi Ed,

It's a pity that that doesn't work with media cards that are intended 
primarily for use as Camera storage - and have very different ideas 
about how the partition table should be written - e.g. Panasonic Lumix 
and SDHC cards.

Regards,
Mike

-- 
Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
Personal replies to any of : 
mikeoc (at) internode (dot) on (dot) net
mikeoc (at) austarnet (dot) com (dot) au
majilok (at) gmail (dot) com
[Please ZIP any attachments, other than GIF/JPG or plain-text]
If you are missing a response from me - check Tweed Heads WX status at:
http://www.bom.gov.au/products/IDR663.loop.shtml#skip

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===